services:
  windows-wow:
    image: dockurr/windows
    container_name: windows-wow
    restart: unless-stopped
    privileged: true

    environment:
      VERSION: "10"
      RAM_SIZE: "8G"
      CPU_CORES: "4"
      DISK_SIZE: "64G"
      USERNAME: "wow"
      PASSWORD: "wow123"
      LANGUAGE: "English"

    devices:
      - /dev/kvm
      - /dev/net/tun

    cap_add:
      - NET_ADMIN

    ports:
      - "8006:8006"
      - "3389:3389/tcp"
      - "3389:3389/udp"
      - "3724:3724/tcp"
      - "8085:8085/tcp"

    volumes:
      - /srv/windows-wow/storage:/storage
      - /srv/windows-wow/shared:/shared
